void BoxMullerTrans(__global float *u1, __global float *u2);

__kernel void BoxMuller(__global float *d_Rand, int nPerRng) 
{
    int globalID = get_global_id(0);

    for (int iOut = 0; iOut < nPerRng; iOut += 2)
        BoxMullerTrans(&d_Rand[globalID + (iOut + 0) * MT_RNG_COUNT],
		       &d_Rand[globalID + (iOut + 1) * MT_RNG_COUNT]);
}

